﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.IO;
using Telerik.Windows.Persistence;
using Telerik.Windows.Persistence.Services;
using Telerik.Windows.Controls.Charting;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            ServiceProvider.RegisterPersistenceProvider<ICustomPropertyProvider>(typeof(RadChart), new ChartCustomPropertyProvider());

            //RadChart1.Groupdesc

           // RadGridView1.Columns
        }

        private void RadGridView1_Grouping(object sender, GridViewGroupingEventArgs e)
        {
            RadChart1.DefaultView.ChartArea.StartTransitionAnimation();
        }

        private void RadioButton_Checked(object sender, System.Windows.RoutedEventArgs e)
        {
            if (RadChart1 == null)
                return;

            RadChart1.DefaultView.ChartArea.StartTransitionAnimation();
        }

        private void RadComboBox_SelectionChanged(object sender, Telerik.Windows.Controls.SelectionChangedEventArgs e)
        {
            if (RadChart1 == null)
                return;

            RadChart1.DefaultView.ChartArea.StartTransitionAnimation();
        }
        private Stream stream;
        private void Save(object sender, RoutedEventArgs e)
        {
            PersistenceManager manager = new PersistenceManager();
            stream = manager.Save(RadChart1);
        }

        private void Load(object sender, RoutedEventArgs e)
        {
            PersistenceManager manager = new PersistenceManager();
            stream.Position = 0L;
            manager.Load(RadChart1, stream);
        }
    }
}
